export declare class NameDescriptionAndId {
    id: string;
    name: string;
    description: string;
    constructor(id: string, name: string, description?: string);
}
export declare abstract class IFormStorage {
    abstract getFormConfigurationList(): NameDescriptionAndId[];
    abstract getFormConfigurationData(id: string): string;
    abstract storeFormConfigurationData(id: string, configurationData: string): void;
    abstract getFormSampleDataList(id: string): NameDescriptionAndId[];
    abstract getFormSampleData(formId: string, sampleId: string): string[];
    abstract storeFormSampleData(formId: string, sampleId: string, sampleData: string): void;
}
export declare class FormStorage {
    private storageService?;
    hasFormStorageService(): boolean;
    getStorageService(): IFormStorage;
    setStorageService(storageService: IFormStorage): void;
}
